﻿SLASH_ITEMID1="/itemid"
function SlashCmdList.ITEMID(msg, editbox)
  local _,link=GetItemInfo(msg)
  if link then
    ChatFrame1:AddMessage(msg .. " has item ID: " .. link:match("item:(%d+):"));
  end
end

SLASH_SKILLISTINFO1="/skillinfo"
function SlashCmdList.SKILLISTINFO(msg, editbox)
  local skills =  {};
  local prof1, prof2, archaeology, fishing, cooking, firstAid = GetProfessions();
  tinsert(skills, prof1);
  tinsert(skills, prof2);
  tinsert(skills, archaeology);
  tinsert(skills, fishing);
  tinsert(skills, cooking);
  tinsert(skills, firstAid);
  for index, skillID in ipairs(skills) do
    if skillID then
      local name, icon, skillLevel, maxSkillLevel, numAbilities, spelloffset, skillLine, skillModifier = GetProfessionInfo(skillID)
      print(string.format("Skill: %s - %s - Max: %s", name, skillLevel, maxSkillLevel))
    end
  end
  --print(GetProfessions())
end


SLASH_TGGUIDE1="/tguide"
function SlashCmdList.TGGUIDE(msg, editbox)
  print("Not Used");
end